Additional PHP version in a Multi-Server setup

Discussion in 'Installation/Configuration' started by webguyz, Nov 8, 2014.

  1. webguyz

    webguyz Member HowtoForge Supporter

    Even though it doesn't say in the manual I wanted to verify when adding additional PHP versions I would have to do this for all my webserver slaves, this is the only thing that makes sense. So when I see the option for Additional PHP versions it referring to paths on that server.

    Just thought I would double check.

    More amazed every day how powerful ISPConfig is.

    Converting all my customers Windows websites to Linux as everyone seems to want WordPress these days.
  2. conductive

    conductive Member

    Sounds about right to me since you would be running the version on that exact server and adding the capability of that version onto the server with the control panel.

    Good question. I can only get the default version to work and not the additional versions. Not sure if it is a path problem or what and there does not seem to be a good way to trouble shoot it at the moment. What ever you do make sure to test it on a few pages first.
  3. webguyz

    webguyz Member HowtoForge Supporter

  4. webguyz

    webguyz Member HowtoForge Supporter

    Hijacking my own thread but if anyone has a clue why I'm getting this error when trying to compile php 5.5.18 with FastCgi I would appreciate it. This would be an addon php version. Everything seems to compile ok with no errors

    [Sat Nov 08 22:08:20 2014] [warn] [client xx.186.53.181] (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server
    [Sat Nov 08 22:08:20 2014] [error] [client xx.186.53.181] Premature end of script headers: index.php

    Found some docs from apache about this error but thought I would throw it out there first.


Share This Page